TRIGGER
function(_,message)
    if string.find(message, "rolls") then
        _,_,name,roll,rollmax = string.find(message, "(%a+)%srolls%s(%d+)%s%p%d%-(%d+)%p")
        local source_class = UnitClass(name)
        if source_class == "Death Knight" then source_class_color = "|cFFC41F3B" elseif
            source_class == "Demon Hunter" then source_class_color = "|cFFA330C9" elseif
            source_class == "Druid" then source_class_color = "|cFFFF7D0A" elseif
            source_class == "Hunter" then source_class_color = "|cFFABD473" elseif
            source_class == "Mage" then source_class_color = "|cFF40C7EB" elseif
            source_class == "Monk" then source_class_color = "|cFF00FF96" elseif
            source_class == "Paladin" then source_class_color = "|cFFF58CBA" elseif
            source_class == "Priest" then source_class_color = "|cFFFFFFFF"  elseif
            source_class == "Rogue" then source_class_color = "|cFFFFF569"  elseif
            source_class == "Shaman" then source_class_color = "|cFF0070DE" elseif
            source_class == "Warlock" then source_class_color = "|cFF8787ED" elseif
            source_class == "Warrior" then source_class_color = "|cFFC79C6E" end
        if string.find(rollmax, "100") then
            aura_env.output = aura_env.output .. source_class_color .. name .. "|cFFFFFFFF" .. " " .. roll .. "\n"
        end
    end
end

DISPLAY
function()
    return aura_env.output
end

INIT
aura_env.output = ""
aura_env.lastItemName = ""
